groovy.transform

## Enum PackageScopeTarget

- java.lang.Object
- - java.lang.Enum<PackageScopeTarget>
  - - groovy.transform.PackageScopeTarget

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PackageScopeTarget>

    public enum PackageScopeTarget
    extends java.lang.Enum<PackageScopeTarget>

Intended target when `@`PackageScope is placed at the class level.

Since:
  1.8.0
Author:
  Paul King

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLASS` Make the Class have package protected visibility.
`CONSTRUCTORS` Make the Class constructors have package protected visibility.
`FIELDS` Make the Class fields have package protected visibility.
`METHODS` Make the Class methods have package protected visibility.

### Method Summary

All Methods Static Methods Concrete Methods
`static PackageScopeTarget` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PackageScopeTarget[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CLASS

    public static final PackageScopeTarget CLASS

Make the Class have package protected visibility.

#### METHODS

    public static final PackageScopeTarget METHODS

Make the Class methods have package protected visibility.

#### FIELDS

    public static final PackageScopeTarget FIELDS

Make the Class fields have package protected visibility.

#### CONSTRUCTORS

    public static final PackageScopeTarget CONSTRUCTORS

Make the Class constructors have package protected visibility.

### Method Detail

#### values

    public static PackageScopeTarget[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PackageScopeTarget c : PackageScopeTarget.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PackageScopeTarget valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null